PROJECT_NAME           = libakgl
PROJECT_BRIEF          = "Game development support library"
OUTPUT_DIRECTORY       = build/docs

INPUT                  = include/akgl src
FILE_PATTERNS          = *.h *.c
RECURSIVE              = YES
EXCLUDE_PATTERNS       = */SDL_GameControllerDB.h

EXTRACT_ALL            = YES
EXTRACT_STATIC         = YES
WARN_IF_UNDOCUMENTED   = YES
WARN_IF_DOC_ERROR      = YES
WARN_AS_ERROR          = FAIL_ON_WARNINGS

GENERATE_HTML          = YES
GENERATE_LATEX         = NO
QUIET                  = YES
